org.icefaces.ace.meta.annotation

## Enum TagHandlerType

- java.lang.Object
- - java.lang.Enum<TagHandlerType>
  - - org.icefaces.ace.meta.annotation.TagHandlerType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TagHandlerType>

      public enum TagHandlerType
      extends java.lang.Enum<TagHandlerType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTRIBUTE_HANDLER`
    `BEHAVIOR_HANDLER`
    `COMPONENT_HANDLER`
    `COMPOSITE_FACELET_HANDLER`
    `CONVERTER_HANDLER`
    `DELEGATING_META_TAG_HANDLER`
    `FACELET_HANDLER`
    `FACELETS_ATTACHED_OBJECT_HANDLER`
    `FACET_HANDLER`
    `META_TAG_HANDLER`
    `TAG_HANDLER`
    `TEXT_HANDLER`
    `UNSET`
    `VALIDATOR_HANDLER`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TagHandlerType` | `DEFAULT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TagHandlerType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TagHandlerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ATTRIBUTE_HANDLER

          public static final TagHandlerType ATTRIBUTE_HANDLER

    - #### BEHAVIOR_HANDLER

          public static final TagHandlerType BEHAVIOR_HANDLER

    - #### COMPONENT_HANDLER

          public static final TagHandlerType COMPONENT_HANDLER

    - #### COMPOSITE_FACELET_HANDLER

          public static final TagHandlerType COMPOSITE_FACELET_HANDLER

    - #### CONVERTER_HANDLER

          public static final TagHandlerType CONVERTER_HANDLER

    - #### DELEGATING_META_TAG_HANDLER

          public static final TagHandlerType DELEGATING_META_TAG_HANDLER

    - #### FACELET_HANDLER

          public static final TagHandlerType FACELET_HANDLER

    - #### FACELETS_ATTACHED_OBJECT_HANDLER

          public static final TagHandlerType FACELETS_ATTACHED_OBJECT_HANDLER

    - #### FACET_HANDLER

          public static final TagHandlerType FACET_HANDLER

    - #### META_TAG_HANDLER

          public static final TagHandlerType META_TAG_HANDLER

    - #### TAG_HANDLER

          public static final TagHandlerType TAG_HANDLER

    - #### TEXT_HANDLER

          public static final TagHandlerType TEXT_HANDLER

    - #### VALIDATOR_HANDLER

          public static final TagHandlerType VALIDATOR_HANDLER

    - #### UNSET

          public static final TagHandlerType UNSET

  - ### Field Detail

    - #### DEFAULT

          public static final TagHandlerType DEFAULT

  - ### Method Detail

    - #### values

          public static TagHandlerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TagHandlerType c : TagHandlerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TagHandlerType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.